# Get an asynchronous note generation

```
GET 
/generate-note-async/:id
```

Poll the status —and results if successful— of an asynchronous note generation.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The asynchronous note generation details.

## Operation spec

```json
{
  "method": "get",
  "path": "/generate-note-async/{id}",
  "operationId": "get-generate-note-async",
  "parameters": [
    {
      "name": "id",
      "description": "The id of the asynchronous request.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "responses": {
    "200": {
      "description": "The asynchronous note generation details.",
      "content": {
        "application/json": {
          "schema": {
            "oneOf": [
              {
                "title": "ONGOING",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              },
              {
                "title": "FAILED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "properties": {
                      "error_code": {
                        "type": "integer",
                        "example": 422
                      },
                      "error_message": {
                        "type": "string",
                        "example": "We can't generate the note when the transcript is too short."
                      }
                    },
                    "required": [
                      "error_code"
                    ],
                    "title": "async_request_failed_payload"
                  }
                },
                "required": [
                  "id",
                  "status",
                  "payload"
                ]
              },
              {
                "title": "SUCCEEDED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "description": "The generated note.",
                    "required": [
                      "note"
                    ],
                    "properties": {
                      "note": {
                        "type": "object",
                        "description": "The generated note.",
                        "properties": {
                          "title": {
                            "type": "string",
                            "description": "Title of the note.",
                            "example": "Fever and strong headache"
                          },
                          "sections": {
                            "type": "array",
                            "description": "Content of the note structured in multiple sections.",
                            "items": {
                              "type": "object",
                              "description": "A note section.",
                              "properties": {
                                "key": {
                                  "type": "string",
                                  "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                  "example": "CHIEF_COMPLAINT",
                                  "title": "note_section_key"
                                },
                                "title": {
                                  "type": "string",
                                  "description": "The section title.",
                                  "example": "Chief complaint"
                                },
                                "content": {
                                  "oneOf": [
                                    {
                                      "title": "TEXT",
                                      "type": "object",
                                      "description": "Plain-text note section content.",
                                      "required": [
                                        "type",
                                        "text"
                                      ],
                                      "properties": {
                                        "type": {
                                          "type": "string",
                                          "enum": [
                                            "TEXT"
                                          ]
                                        },
                                        "text": {
                                          "type": "string",
                                          "description": "Content of the note section."
                                        }
                                      }
                                    },
                                    {
                                      "title": "SUBSECTIONS",
                                      "type": "object",
                                      "description": "Structured note section content as subsections.",
                                      "required": [
                                        "type",
                                        "subsections"
                                      ],
                                      "properties": {
                                        "type": {
                                          "type": "string",
                                          "enum": [
                                            "SUBSECTIONS"
                                          ]
                                        },
                                        "subsections": {
                                          "type": "array",
                                          "minItems": 1,
                                          "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                          "items": {
                                            "type": "object",
                                            "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                            "properties": {
                                              "id": {
                                                "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                "type": "string",
                                                "format": "uuid",
                                                "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                "title": "uuid"
                                              },
                                              "title": {
                                                "type": "string",
                                                "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                              },
                                              "text": {
                                                "type": "string",
                                                "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                              }
                                            },
                                            "required": [
                                              "id"
                                            ],
                                            "title": "note_section_subsection"
                                          }
                                        }
                                      }
                                    }
                                  ],
                                  "discriminator": {
                                    "propertyName": "type",
                                    "mapping": {
                                      "TEXT": {
                                        "type": "object",
                                        "description": "Plain-text note section content.",
                                        "required": [
                                          "type",
                                          "text"
                                        ],
                                        "properties": {
                                          "type": {
                                            "type": "string",
                                            "enum": [
                                              "TEXT"
                                            ]
                                          },
                                          "text": {
                                            "type": "string",
                                            "description": "Content of the note section."
                                          }
                                        },
                                        "title": "note_section_content_text"
                                      },
                                      "SUBSECTIONS": {
                                        "type": "object",
                                        "description": "Structured note section content as subsections.",
                                        "required": [
                                          "type",
                                          "subsections"
                                        ],
                                        "properties": {
                                          "type": {
                                            "type": "string",
                                            "enum": [
                                              "SUBSECTIONS"
                                            ]
                                          },
                                          "subsections": {
                                            "type": "array",
                                            "minItems": 1,
                                            "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                            "items": {
                                              "type": "object",
                                              "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                              "properties": {
                                                "id": {
                                                  "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                  "type": "string",
                                                  "format": "uuid",
                                                  "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                  "title": "uuid"
                                                },
                                                "title": {
                                                  "type": "string",
                                                  "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                },
                                                "text": {
                                                  "type": "string",
                                                  "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                }
                                              },
                                              "required": [
                                                "id"
                                              ],
                                              "title": "note_section_subsection"
                                            }
                                          }
                                        },
                                        "title": "note_section_content_subsections"
                                      }
                                    }
                                  },
                                  "title": "note_section_content"
                                }
                              },
                              "required": [
                                "key",
                                "title",
                                "content"
                              ],
                              "example": [
                                {
                                  "key": "CHIEF_COMPLAINT",
                                  "title": "Chief complaint",
                                  "content": {
                                    "type": "TEXT",
                                    "text": "Fatigue and headaches"
                                  }
                                },
                                {
                                  "key": "ASSESSMENT_AND_PLAN",
                                  "title": "Assessment & Plan",
                                  "content": {
                                    "type": "SUBSECTIONS",
                                    "subsections": [
                                      {
                                        "id": "00000000-0000-0000-0000-000000000001",
                                        "title": "Hypertension",
                                        "text": "Continue current therapy."
                                      }
                                    ]
                                  }
                                }
                              ],
                              "title": "note_section"
                            }
                          },
                          "locale": {
                            "type": "string",
                            "description": "Locale of the note.",
                            "enum": [
                              "ENGLISH_US",
                              "ENGLISH_UK",
                              "FRENCH_FR"
                            ],
                            "example": "ENGLISH_US",
                            "title": "note_locale"
                          },
                          "template_key": {
                            "type": "string",
                            "description": "Human-readable identifier for the note template used to generate this note."
                          }
                        },
                        "required": [
                          "sections",
                          "locale",
                          "template_key"
                        ],
                        "title": "note"
                      }
                    },
                    "title": "async_note_generation_succeeded_payload"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              }
            ],
            "discriminator": {
              "propertyName": "status",
              "mapping": {
                "ONGOING": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_request_ongoing"
                },
                "FAILED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "error_code": {
                          "type": "integer",
                          "example": 422
                        },
                        "error_message": {
                          "type": "string",
                          "example": "We can't generate the note when the transcript is too short."
                        }
                      },
                      "required": [
                        "error_code"
                      ],
                      "title": "async_request_failed_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status",
                    "payload"
                  ],
                  "title": "async_request_failed"
                },
                "SUCCEEDED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "description": "The generated note.",
                      "required": [
                        "note"
                      ],
                      "properties": {
                        "note": {
                          "type": "object",
                          "description": "The generated note.",
                          "properties": {
                            "title": {
                              "type": "string",
                              "description": "Title of the note.",
                              "example": "Fever and strong headache"
                            },
                            "sections": {
                              "type": "array",
                              "description": "Content of the note structured in multiple sections.",
                              "items": {
                                "type": "object",
                                "description": "A note section.",
                                "properties": {
                                  "key": {
                                    "type": "string",
                                    "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                    "example": "CHIEF_COMPLAINT",
                                    "title": "note_section_key"
                                  },
                                  "title": {
                                    "type": "string",
                                    "description": "The section title.",
                                    "example": "Chief complaint"
                                  },
                                  "content": {
                                    "oneOf": [
                                      {
                                        "title": "TEXT",
                                        "type": "object",
                                        "description": "Plain-text note section content.",
                                        "required": [
                                          "type",
                                          "text"
                                        ],
                                        "properties": {
                                          "type": {
                                            "type": "string",
                                            "enum": [
                                              "TEXT"
                                            ]
                                          },
                                          "text": {
                                            "type": "string",
                                            "description": "Content of the note section."
                                          }
                                        }
                                      },
                                      {
                                        "title": "SUBSECTIONS",
                                        "type": "object",
                                        "description": "Structured note section content as subsections.",
                                        "required": [
                                          "type",
                                          "subsections"
                                        ],
                                        "properties": {
                                          "type": {
                                            "type": "string",
                                            "enum": [
                                              "SUBSECTIONS"
                                            ]
                                          },
                                          "subsections": {
                                            "type": "array",
                                            "minItems": 1,
                                            "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                            "items": {
                                              "type": "object",
                                              "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                              "properties": {
                                                "id": {
                                                  "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                  "type": "string",
                                                  "format": "uuid",
                                                  "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                  "title": "uuid"
                                                },
                                                "title": {
                                                  "type": "string",
                                                  "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                },
                                                "text": {
                                                  "type": "string",
                                                  "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                }
                                              },
                                              "required": [
                                                "id"
                                              ],
                                              "title": "note_section_subsection"
                                            }
                                          }
                                        }
                                      }
                                    ],
                                    "discriminator": {
                                      "propertyName": "type",
                                      "mapping": {
                                        "TEXT": {
                                          "type": "object",
                                          "description": "Plain-text note section content.",
                                          "required": [
                                            "type",
                                            "text"
                                          ],
                                          "properties": {
                                            "type": {
                                              "type": "string",
                                              "enum": [
                                                "TEXT"
                                              ]
                                            },
                                            "text": {
                                              "type": "string",
                                              "description": "Content of the note section."
                                            }
                                          },
                                          "title": "note_section_content_text"
                                        },
                                        "SUBSECTIONS": {
                                          "type": "object",
                                          "description": "Structured note section content as subsections.",
                                          "required": [
                                            "type",
                                            "subsections"
                                          ],
                                          "properties": {
                                            "type": {
                                              "type": "string",
                                              "enum": [
                                                "SUBSECTIONS"
                                              ]
                                            },
                                            "subsections": {
                                              "type": "array",
                                              "minItems": 1,
                                              "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                              "items": {
                                                "type": "object",
                                                "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                                "properties": {
                                                  "id": {
                                                    "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                    "type": "string",
                                                    "format": "uuid",
                                                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                    "title": "uuid"
                                                  },
                                                  "title": {
                                                    "type": "string",
                                                    "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                  },
                                                  "text": {
                                                    "type": "string",
                                                    "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                  }
                                                },
                                                "required": [
                                                  "id"
                                                ],
                                                "title": "note_section_subsection"
                                              }
                                            }
                                          },
                                          "title": "note_section_content_subsections"
                                        }
                                      }
                                    },
                                    "title": "note_section_content"
                                  }
                                },
                                "required": [
                                  "key",
                                  "title",
                                  "content"
                                ],
                                "example": [
                                  {
                                    "key": "CHIEF_COMPLAINT",
                                    "title": "Chief complaint",
                                    "content": {
                                      "type": "TEXT",
                                      "text": "Fatigue and headaches"
                                    }
                                  },
                                  {
                                    "key": "ASSESSMENT_AND_PLAN",
                                    "title": "Assessment & Plan",
                                    "content": {
                                      "type": "SUBSECTIONS",
                                      "subsections": [
                                        {
                                          "id": "00000000-0000-0000-0000-000000000001",
                                          "title": "Hypertension",
                                          "text": "Continue current therapy."
                                        }
                                      ]
                                    }
                                  }
                                ],
                                "title": "note_section"
                              }
                            },
                            "locale": {
                              "type": "string",
                              "description": "Locale of the note.",
                              "enum": [
                                "ENGLISH_US",
                                "ENGLISH_UK",
                                "FRENCH_FR"
                              ],
                              "example": "ENGLISH_US",
                              "title": "note_locale"
                            },
                            "template_key": {
                              "type": "string",
                              "description": "Human-readable identifier for the note template used to generate this note."
                            }
                          },
                          "required": [
                            "sections",
                            "locale",
                            "template_key"
                          ],
                          "title": "note"
                        }
                      },
                      "title": "async_note_generation_succeeded_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_note_generation_succeeded"
                }
              }
            },
            "title": "async_note_generation"
          }
        }
      }
    }
  }
}
```
